List Jobs
curl --request GET \
--url https://api.tryhamsa.com/v2/jobs \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"messageKey": "OPERATION_SUCCESSFUL",
"data": {
"jobs": [
{
"id": "5b171552-c5f7-42a9-ad92-c7945460dbb5",
"title": "كلام البيزنس اللي كلنا بنستناه في اي Deal | شارك تانك مصر | الموسم الرابع",
"mediaUrl": "https://www.youtube.com/watch?v=dLIKa3TimOM",
"mediaType": "YOUTUBE",
"totalCost": 7,
"status": "COMPLETED",
"createdAt": "2025-12-21T01:27:45.979Z"
}
],
"page": 1,
"totalCount": 50,
"totalPages": 5
}
}{
"code": 9400,
"message": "projectId is required",
"messageKey": "FieldMustBeString"
}{
"success": false,
"code": 500,
"message": "Internal server error"
}Jobs Routes
List Jobs
Retrieve a paginated list of jobs with optional filtering and sorting.
GET
/
v2
/
jobs
List Jobs
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
The unique identifier of the project
Example:
"b8f820ac-2830-4eb8-be86-b7af9c8b92f0"
Current page number
Example:
1
Number of jobs per page
Example:
10
Field to sort by
Available options:
totalCost, usageTime, createdAt, updatedAt Example:
"usageTime"
Sort direction
Available options:
asc, desc Example:
"asc"
Job status to filter by (e.g., PENDING, COMPLETED)
Example:
"PENDING"
Job type to filter by (e.g., TRANSCRIPTION, AI_CONTENT)
Example:
"TRANSCRIPTION"
Free text search on job fields
Example:
"AI_CONTENT"
Was this page helpful?